Get a Temporary EVSE Status by ID
curl --request GET \
--url https://api.spirii.com/v2/temporary-evse-statuses/{id}import requests
url = "https://api.spirii.com/v2/temporary-evse-statuses/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.spirii.com/v2/temporary-evse-statuses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"temporaryStatus": "MAINTENANCE",
"evseId": "DK*SPI*E123*1",
"validFrom": "2023-01-01T12:00:00Z",
"validTo": "2023-01-01T14:00:00Z"
}{
"statusCode": 400,
"message": [
"validFrom cannot be greater than validTo"
],
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Not Found",
"error": "Not Found"
}{
"statusCode": 500,
"message": "Internal Server Error",
"error": "Internal Server Error"
}Get a Temporary EVSE Status by ID
GET
/
v2
/
temporary-evse-statuses
/
{id}
Get a Temporary EVSE Status by ID
Path Parameters
The ID of the Temporary EVSE Status
Response
The Temporary EVSE Status has been successfully retrieved
The unique identifier for the Temporary EVSE Status
Example:
42
Status of the Temporary EVSE Status
Available options:
MAINTENANCE, COMMISSIONING, BLOCKED, RESERVED Example:
"MAINTENANCE"
The EVSE ID
Example:
"DK*SPI*E123*1"
The start date and time of the Temporary EVSE Status
Example:
"2023-01-01T12:00:00Z"
The end date and time of the Temporary EVSE Status
Example:
"2023-01-01T14:00:00Z"
Was this page helpful?